Subject: bug#599: initscripts: typo in /etc/init.d/sendsigs (easy fix)

From: Mark Hindley <[email-masked]>
Date: Sun, 8 Aug 2021 07:47:11 +0100

On Sat, Aug 07, 2021 at 10:51:02PM +0200, Jerome BENOIT wrote:
> On Sat, 7 Aug 2021 19:23:56 +0100 Mark Hindley <[email-masked]> wrote:
> > Control: tags -1 moreinfo
> 
> Actually I think that my first fix was actually incorrect.
> 
> Please find in attachment the current version, "my" current version, and
> the corresponding patch.
> 
> I think that otherwise these loops make no sense.

I am still not convinced by this. Read /usr/share/doc/initscripts/README.Debian
to see an explanation of the intented behaviour. In particular

   Process id's listed in /run/sendsigs.omit, or any file in the
   /run/sendsigs.omit.d/ directory will be omitted by sendsigs.

I don't see any discrepancy between the existing distributed code and that
stated behaviour. What am I missing?

Thanks

Mark